Bug 826808 - Cannot install client tools on Fedora 17
Cannot install client tools on Fedora 17
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Adam Miller
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-30 22:26 EDT by John Poelstra
Modified: 2015-05-14 21:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-22 18:27:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Poelstra 2012-05-30 22:26:32 EDT
Description of problem:

Cannot install client tools on Fedora 17

rror: Package: rubygem-sshkey-1.3.0-1.el6_2.noarch (li)
           Requires: ruby(abi) = 1.8
           Installed: ruby-libs- (@fedora)
               ruby(abi) = 1.9.1
           Available: ruby-libs- (li)
               ruby(abi) = 1.8
Error: Package: rubygem-net-ssh-2.3.0-1.el6_2.noarch (li)
           Requires: ruby(abi) = 1.8
           Installed: ruby-libs- (@fedora)
               ruby(abi) = 1.9.1
           Available: ruby-libs- (li)
               ruby(abi) = 1.8
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Adam Miller 2012-05-31 17:40:18 EDT
We will need to find a location to host this RPM if this is in fact a desired approach but there is a new F17 compliant SPEC in a branch of os-client-tools called origin/f17
Comment 2 Harish Pillay 2012-06-13 02:45:14 EDT
Any further updates? 

I am going to run an intro to openshift talk on Saturday June 16 and would need to show it on a Fedora 17 machine.  Failing which, I might have to have a Fedora 16 VM on the Fedora 17 machine and show it from there.

Comment 3 Jeremy Eder 2012-06-13 08:42:34 EDT
Harish, this works on F17:

# yum install rubygem-rhc.noarch

It seems no openshift.repo was necessary for me.
rhc tool seems to work find after installing.
Comment 4 Guillermo Gómez 2012-06-13 11:03:54 EDT
For F17 installation bugs, please report it with rubygem-rhc component at Fedora instance (just found this by pure luck).

Meanwhile, there are new dependencies to get into account for version 0.93.18.

* rubygem-sshkey is not yet packaged

Dont use rubygem-rhc 0.93.18 from Fedora updates-testing 0.93.18 , dependencies are broken.

And yes there's no need on using openshift.repo in Fedora.

You should be ok using rubygem-rhc-0.92.11-1.fc17 from Fedora repos, just:

# yum install rubygem-rhc
Comment 5 Harish Pillay 2012-06-13 11:20:52 EDT
OK, Tried:

# yum install rubygem-rhc

and that works.  Perhaps I should disable the openshift repo.

Should I file a bz on the docs?
Comment 6 Abhishek D 2012-06-28 12:33:01 EDT
the docs should be updated

Note You need to log in before you can comment on or make changes to this bug.